# ubooquity

![Version: 0.1.1](https://img.shields.io/badge/Version-0.1.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 2.1.2](https://img.shields.io/badge/AppVersion-2.1.2-informational?style=flat-square)

Ubooquity is a free, lightweight and easy-to-use home server for your comics and ebooks. Use it to access your files from anywhere, with a tablet, an e-reader, a phone or a computer.

**Homepage:** <https://vaemendis.net/ubooquity/>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Gavin Mogan | helm@gavinmogan.com |  |

## Source Code

* <http://vaemendis.net/ubooquity/static2/download>
* <https://hub.docker.com/r/linuxserver/ubooquity/>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| config.adminPortNumber | int | `2203` |  |
| config.autoScanAtLaunch | bool | `true` |  |
| config.autoscanPeriod | int | `0` |  |
| config.bookHeight | int | `230` |  |
| config.bookWidth | int | `160` |  |
| config.bookmarkUsingCookies | bool | `false` |  |
| config.booksPaginationNumber | int | `30` |  |
| config.booksPaths[0].pathString | string | `"/books"` |  |
| config.booksPaths[0].userName | list | `[]` |  |
| config.bypassSingleRootFolder | bool | `false` |  |
| config.comicHeight | int | `230` |  |
| config.comicWidth | int | `160` |  |
| config.comicsPaginationNumber | int | `30` |  |
| config.comicsPaths[0].pathString | string | `"/comics"` |  |
| config.comicsPaths[0].userName | list | `[]` |  |
| config.displayTitleInsteadOfFileName | bool | `false` |  |
| config.enableFolderMetadataDisplay | bool | `false` |  |
| config.filesPaths[0].pathString | string | `"/files"` |  |
| config.filesPaths[0].userName | list | `[]` |  |
| config.folderExclusionPattern | string | `""` |  |
| config.isBooksProviderEnabled | bool | `true` |  |
| config.isComicsProviderEnabled | bool | `true` |  |
| config.isFilesProviderEnabled | bool | `true` |  |
| config.isOpdsProviderEnabled | bool | `false` |  |
| config.isRemoteAdminEnabled | bool | `false` |  |
| config.isShrinkingCacheEnabled | bool | `false` |  |
| config.isUserManagementEnabled | bool | `false` |  |
| config.keepUnreachableSharedFolders | bool | `false` |  |
| config.keystorePassword | string | `""` |  |
| config.keystorePath | string | `""` |  |
| config.libraryPortNumber | int | `2202` |  |
| config.minimizeOnStartup | bool | `false` |  |
| config.minimizeToTray | bool | `false` |  |
| config.reverseProxyPrefix | string | `""` |  |
| config.shrinkingCachePath | string | `""` |  |
| config.shrunkPageHeight | int | `2500` |  |
| config.shrunkPageWidth | int | `1536` |  |
| config.theme | string | `"default"` |  |
| config.users | list | `[]` |  |
| deploymentAnnotations | object | `{}` |  |
| extraVolumeMounts | list | `[]` |  |
| extraVolumes | list | `[]` |  |
| fullnameOverride | string | `""` |  |
| guild | int | `1000` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"linuxserver/ubooquity"` |  |
| image.tag | string | `"2.1.2-ls36"` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths | list | `[]` |  |
| ingress.tls | list | `[]` |  |
| maxmem | string | `"1024"` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| persistence.accessModes[0] | string | `"ReadWriteOnce"` |  |
| persistence.enabled | bool | `false` |  |
| persistence.existingClaim | string | `nil` |  |
| persistence.size | string | `"1Gi"` |  |
| persistence.storageClassName | string | `nil` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| probes.liveness.failureThreshold | int | `5` |  |
| probes.liveness.periodSeconds | int | `10` |  |
| probes.readiness.failureThreshold | int | `5` |  |
| probes.readiness.periodSeconds | int | `10` |  |
| probes.startup.failureThreshold | int | `30` |  |
| probes.startup.initialDelaySeconds | int | `5` |  |
| probes.startup.periodSeconds | int | `10` |  |
| puid | int | `1000` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.externalTrafficPolicy | string | `nil` |  |
| service.port | int | `2202` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `nil` |  |
| timezone | string | `"America/Vancouver"` |  |
| tolerations | list | `[]` |  |
| use_config | bool | `true` | if enabled it'll use the config object, otherwise it'll enable the admin port |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
